Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.portlet
Class StrutsInfo

    java.lang.Object
      com.ibm.portal.struts.portlet.StrutsInfo

    public class StrutsInfo

extends java.lang.Object

The `StrutsInfo` class contains information used throughout the WPS Struts portlet implementation. It is specific to a particular Struts servlet instance and contains configured information about that instance that is useful for processing the Struts-based application as a portlet.

Since:
  5.1

Constructor Summary
`StrutsInfo(ServletContext servletContext, java.lang.String contextName)` Construct the StrutsInfo object

Method Summary
`java.lang.String` | `getContextName()` Get the context name associated with this Servlet
`java.lang.String` | `getContextPath()` Get the context path associated with this Servlet
`ServletContext` | `getServletContext()` Get the servlet context (not PortletContext) associated with this Servlet
`java.lang.String` | `getStrutsServletMapping()` Get the Struts servlet mapping string
`void` | `setContextPath(java.lang.String contextPath)` Set the context path associated with this Servlet
`void` | `setStrutsServletMapping(java.lang.String mapping)` Set the Struts servlet mapping string
`java.lang.String` | `toString()` Print out displayable form of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StrutsInfo

    public StrutsInfo(ServletContext servletContext,
                      java.lang.String contextName)

  Construct the StrutsInfo object

  Parameters:
    `servletContext` - the servlet context object
    `contextName` - the Context name for the associated servlet

Method Detail

### getServletContext

    public ServletContext getServletContext()

  Get the servlet context (not PortletContext) associated with this Servlet

  Returns:
    returns the servlet context object

### getContextName

    public java.lang.String getContextName()

  Get the context name associated with this Servlet

  Returns:
    returns context name string

### getContextPath

    public java.lang.String getContextPath()

  Get the context path associated with this Servlet

  Returns:
    returns context root string

### setContextPath

    public void setContextPath(java.lang.String contextPath)

  Set the context path associated with this Servlet

  Parameters:
    `contextRoot` - the context root string

### getStrutsServletMapping

    public java.lang.String getStrutsServletMapping()

  Get the Struts servlet mapping string

  Returns:
    returns the struts servlet mapping string

### setStrutsServletMapping

    public void setStrutsServletMapping(java.lang.String mapping)

  Set the Struts servlet mapping string

  Parameters:
    `mapping` - the Struts servlet mapping string

### toString

    public java.lang.String toString()

  Print out displayable form of this object

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    returns the object in a displayable form

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD